<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package newsetmag
 * @since 1.0.0
 */

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 0.1
     *
     * @return void
     */
    function newsetmag_register_block_styles()
    {
        register_block_style(
            'core/navigation',
            array(
                'name' => 'link-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'link-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'link-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/navigation',
            array(
                'name' => 'link-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/site-title',
            array(
                'name' => 'title-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/site-title',
            array(
                'name' => 'title-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/site-title',
            array(
                'name' => 'title-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/site-title',
            array(
                'name' => 'title-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name' => 'title-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-author-name',
            array(
                'name' => 'author-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-author-name',
            array(
                'name' => 'author-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-author-name',
            array(
                'name' => 'author-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-author-name',
            array(
                'name' => 'author-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'category-background-three',
                'label' => 'Background : Three', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'category-background-primary',
                'label' => 'Background : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'category-background-secondary',
                'label' => 'Background : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name' => 'category-background-border',
                'label' => 'Background : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/tag-cloud',
            array(
                'name' => 'tag-background-primary',
                'label' => 'Background : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/tag-cloud',
            array(
                'name' => 'tag-background-secondary',
                'label' => 'Background : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/tag-cloud',
            array(
                'name' => 'tag-background-foreground',
                'label' => 'Background : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/tag-cloud',
            array(
                'name' => 'tag-background-foreground-alt',
                'label' => 'Background : Foreground Alt', 'newsetmag'
            )
        );
        register_block_style(
            'core/cover',
            array(
                'name' => 'cover-hover-zoom-in',
                'label' => 'Hover : Zoom In', 'newsetmag'
            )
        );
        register_block_style(
            'core/cover',
            array(
                'name' => 'cover-hover-zoom-out',
                'label' => 'Hover : Zoom Out', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-featured-image',
            array(
                'name' => 'cover-hover-zoom-in',
                'label' => 'Hover : Zoom In', 'newsetmag'
            )
        );
        register_block_style(
            'core/post-featured-image',
            array(
                'name' => 'cover-hover-zoom-out',
                'label' => 'Hover : Zoom Out', 'newsetmag'
            )
        );
        register_block_style(
            'core/social-links',
            array(
                'name' => 'social-links-pointed',
                'label' => 'Border Radius : Pointed', 'newsetmag'
            )
        );
        register_block_style(
            'core/search',
            array(
                'name' => 'search-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/search',
            array(
                'name' => 'search-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/search',
            array(
                'name' => 'search-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/search',
            array(
                'name' => 'search-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/search',
            array(
                'name' => 'search-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name' => 'category-hover-primary',
                'label' => 'Hover : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name' => 'category-hover-secondary',
                'label' => 'Hover : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name' => 'category-hover-foreground',
                'label' => 'Hover : Foreground', 'newsetmag'
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name' => 'category-hover-border',
                'label' => 'Hover : Border', 'newsetmag'
            )
        );
        register_block_style(
            'core/query-pagination',
            array(
                'name' => 'pagination-primary',
                'label' => 'Pagination : Primary', 'newsetmag'
            )
        );
        register_block_style(
            'core/query-pagination',
            array(
                'name' => 'pagination-secondary',
                'label' => 'Pagination : Secondary', 'newsetmag'
            )
        );
        register_block_style(
            'core/query-pagination',
            array(
                'name' => 'pagination-border',
                'label' => 'Pagination : Border', 'newsetmag'
            )
        );
    }
    add_action('init', 'newsetmag_register_block_styles');
};
